class CreateAnnonceAccountRibs < ActiveRecord::Migration
  def change
    create_table :annonce_account_ribs do |t|
      t.references :annonce_account, index: true
      t.string :bank_name
      t.string :bank_city
      t.string :country
      t.string :name
      t.string :address
      t.string :address2
      t.string :cp
      t.string :city
      t.string :iban
      t.string :bic
      t.string :tva_number
      t.boolean :tva
      t.boolean :enabled
      t.boolean :validated
      t.datetime :validated_at
      t.boolean :archived
      t.datetime :archived_at
      t.string :scan_file

      t.timestamps null: false
    end
    add_foreign_key :annonce_account_ribs, :annonce_accounts
  end
end
